---
title: MDN editor page controls
slug: MDN/Editor/Basics/Page_controls
tags:
  - Beginner
  - Guide
  - MDN Meta
  - editor
---
<div>{{MDNSidebar}}</div><p>The page controls consist of buttons affecting the page as a whole. They are visible near both the top and the bottom of the editor view, to save excess scrolling. There are four page control buttons:</p>

<div class="note">
<p>If you try to save your page and your changes are rejected as invalid, but the content is in fact appropriate for MDN, you should <a href="mailto:mdn-spam-watch@mozilla.com?subject=MDN%3A%20Content%20Rejection%20Appeal&amp;body=%3CDescribe%20the%20content%20you%20were%20trying%20to%20save%20and%20where%20you%20were%20trying%20to%20place%20it.%3E">email the writing team</a> for help getting your content posted.</p>
</div>

<dl>
 <dt>Publish and keep editing</dt>
 <dd>This button saves and publishes the page without closing the editor; this lets you periodically save your work, creating an entry in the page history that you can revert to if you need to, or in case you need to stop working and come back to it later. This option is not available when creating new pages. See <a href="/en-US/docs/MDN/Contribute/Editor/Basics#The_revision_comment_box">The revision comment box</a> to learn how to include a revision comment on your saved article.</dd>
 <dt>Publish</dt>
 <dd>This button saves and publishes the page and closes the editor, returning you to view the page in the standard browsing mode. See <a href="/en-US/docs/MDN/Contribute/Editor/Basics#The_revision_comment_box">The revision comment box</a> to learn how to include a revision comment on your saved article.</dd>
 <dt>Preview</dt>
 <dd>This button opens a new tab or window showing the page as it exists in your private editor, but rendered as it would appear if you were browsing it as if it were public. This includes executing any <a href="/en-US/docs/MDN/Contribute/Content/Macros">macros</a> and <a href="/en-US/docs/MDN/Kuma/Introduction_to_KumaScript#Template_Syntax">templates</a> you use within the content. Note that your work is not yet saved when you use this option. This button lets you check, <span style="line-height: 1.5;">before your changes are made public, so that</span> you can see if there are any errors in your macros, templates, or formatting that may prevent the page from rendering correctly. If you do see scripting errors, refer to <a href="/en-US/docs/MDN/Contribute/Troubleshooting#Scripting_error_while_previewing_a_page">Troubleshooting scripting error while previewing a page</a>.</dd>
 <dd>
 <div class="warning" style="font-size: 14px;">
 <p><strong>Warning:</strong> Currently some macros and templates don't execute properly in Preview-mode, leaving the Preview page missing some of its content (such as sidebars), and thus with somewhat distorted page layout; i.e. not totally <abbr title="What You See Is What You Get">WYSIWYG</abbr>. Further, if <a href="/en-US/docs/MDN/Contribute/Editor/Basics#scayt"><abbr title="Spell-Check As You Type">SCAYT</abbr> is enabled</a> (and possibly if the page contains certain valid macros or templates), Preview mode may still give a scripting error.</p>
 </div>
 </dd>
 <dt><br>
 <a id="DiscardChanges">Discard</a></dt>
 <dd>This feature cancels your edit, disposing of any changes you've made without saving them. You're returned to the page in the standard browsing mode.</dd>
 <dd>
 <div class="warning" style="font-size: 14px;">
 <p><strong>Warning:</strong> Occasionally <strong>Discard</strong> can malfunction and start acting more like a partial "discard," undoing many of your changes without exiting the editor. If this happens to you, you should save, exit, and re-enter the editor.</p>
 </div>
 </dd>
</dl>
